jQuery(function($){

  // Set all variables to be used in scope
  var frame,
  metaBox = jQuery('#alexandria-video-uploader'),
  metaBoxPreview = jQuery('#alexandria-video-uploader-preview'),
  addVideoLink = metaBox.find('.upload-custom-video'),
  delVideoLink = metaBox.find( '.delete-custom-video'),
  delVideoBadge = metaBox.find( '.delete-custom-badge-video'),
  videoUrlInput = metaBox.find('#video_url'),
  videoIdInput = metaBox.find( '#video_id'),
  videoPreview = metaBoxPreview.find('#video-preview'),
  videoPreviewNoVideo = metaBoxPreview.find('#video-preview-no-video'),
  videoUrlInputText = metaBoxPreview.find('#video_url_text');
  
  // ADD IMAGE LINK
  addVideoLink.on( 'click', function( event ){

    event.preventDefault();

    // If the media frame already exists, reopen it.
    if ( frame ) {
      frame.open();
      return;
    }
    
    // Create a new media frame
    frame = wp.media({
      title: jQuery('#media_video_title_text').val(),
      button: {
        text: jQuery('#media_video_text_button').val()
      },
      library: {
        type: [ 'video' ]
      },
      multiple: false
    });

    
    // When an video is selected in the media frame...
    frame.on( 'select', function() {

      // Get media attachment details from the frame state
      var attachment = frame.state().get('selection').first();

      console.log(attachment);

      var thumb = attachment.attributes.thumb.src;

      // Send the attachment URL to our custom image input field.
      videoPreview.append('<img src="'+ thumb +'" alt="" />');

      videoPreview.removeClass('hidden');

      // Send the attachment id to our hidden input
      videoIdInput.val(attachment.attributes.id);

      // Send the attachment url to our hidden input
      videoUrlInput.val(attachment.attributes.url);

      videoUrlInputText.html(attachment.attributes.url);

      // Hide the add video link
      addVideoLink.addClass('hidden');

      // Unhide the remove video link
      delVideoLink.removeClass('hidden');

      // Hide preview box text
      videoPreviewNoVideo.addClass('hidden');
    });

    // Finally, open the modal on click
    frame.open();
  });
  
  
  // DELETE IMAGE LINK
  delVideoLink.on( 'click', function( event ){

    event.preventDefault();

    // Clear out the preview video
    videoPreview.find('img').remove();

   // Hide the preview video
   videoPreview.addClass('hidden');

    // Un-hide the add video link
    addVideoLink.removeClass('hidden');

    // Hide the delete video link
    delVideoLink.addClass('hidden');

    // Delete the video id from the hidden input
    videoIdInput.val('');

     // Delete the video url from the hidden input
     videoUrlInput.val('');

    // Un-hide preview text
    videoPreviewNoImage.removeClass('hidden');

  });


  // DELETE IMAGE LINK
  jQuery('body').on( 'click', '.delete-custom-badge-video', function( event ){

    event.preventDefault();

    // Clear out the preview video
    videoPreview.find('img').remove();

    // Hide the preview video
    videoPreview.addClass('hidden');

    // Un-hide the add video link
    addVideoLink.removeClass('hidden');

    // Hide the delete video link
    delVideoLink.addClass('hidden');

    // Delete the video id from the hidden input
    videoIdInput.val('');

   // Delete the video url from the hidden input
   videoUrlInput.val('');

    // Un-hide preview text
    videoPreviewNoVideo.removeClass('hidden');

  });

});