/*
*
* Copy text from inputs in clipboard
*
*/
function alexandria_mail_builder_copy_text_from_inputs() {

	var tooltip = document.getElementById("alexandria_mail_builder_button_copy_tooltip");
	tooltip.style.visibility = 'visible';
	tooltip.style.opacity = 1;

	let email_tab = jQuery('#defaultOpen');
	let pitch_tab = jQuery('#pitch_tab');
	let examples_tab = jQuery('#examples_tab');

	if(email_tab.hasClass('active')) {

		var soliloquio_text = jQuery.trim(jQuery('#soliloquio_title').text());
		var gran_ideas_email_title = jQuery.trim(jQuery('#gran_ideas_email_title').text());
		var arguments_email_title = jQuery.trim(jQuery('#arguments_email_title').text());
		var call_to_action_title = jQuery.trim(jQuery('#call_to_action_title').text());

		var text = soliloquio_text + '\n\n' + gran_ideas_email_title + '\n\n' + arguments_email_title + '\n\n' + call_to_action_title;

		jQuery("#alexandria_mail_builder_textarea_clipboard").text(text);

	}

	if(pitch_tab.hasClass('active')) {

		var gran_idea_pitch_text = '';
		var arguments_pitch_text = '';
		var content_boxes_text = '';
		var engagement_boxes_text = '';
		var ingredients = '';

		jQuery("#gran_ideas_pitch_wrapper .item-text").each(function() {
			gran_idea_pitch_text += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		jQuery("#arguments_pitch_wrapper .item-text").each(function() {
			arguments_pitch_text += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		jQuery("#content_boxes_wrapper .item-text").each(function() {
			content_boxes_text += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		jQuery("#engagement_boxes_wrapper .item-text").each(function() {
			engagement_boxes_text += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		jQuery("#ingredients_wrapper .item-text").each(function() {
			ingredients += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		var text = gran_idea_pitch_text + '\n\n' + arguments_pitch_text + '\n\n' + content_boxes_text + '\n\n' + engagement_boxes_text + '\n\n' + ingredients;

		jQuery("#alexandria_mail_builder_textarea_clipboard").text(text);
	}

	if(examples_tab.hasClass('active')) {

		var title = '';
		var description = '';
		var examples = '';
		var comments = '';

		jQuery("#examples .example-principal").each(function() {
			title = jQuery.trim(jQuery(this).find('.example-principal-title').text()) + '\n\n';
			description = jQuery.trim(jQuery(this).find('.example-description').text()) + '\n\n\n\n';

			examples += title + description;
		});

		jQuery("#comments_wrapper .item-text").each(function() {
			comments += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		var text = examples;

		jQuery("#alexandria_mail_builder_textarea_clipboard").text(text);

	}

	/* Get the text field */
	var copyText = document.getElementById("alexandria_mail_builder_textarea_clipboard");

	/* Select the text field */
	copyText.select();
	copyText.setSelectionRange(0, 99999); /*For mobile devices*/

	/* Copy the text inside the text field */
	document.execCommand("copy");
}