/*
*
* Init Builder
*
*/
function initEmailBuilder() {

	/* 
	* Trigger toggle_current_section()
	*/
	jQuery(document).on('click', '.alexandria-mail-builder__steps-controls-button.continue', function(e){
		e.stopPropagation();
		e.preventDefault();

		jQuery("html, body").animate({ scrollTop: 0 }, "fast");

		jQuery(this).removeClass('visible');

		alexandria_mail_builder_toggle_current_section();
	});
	

	/* 
	* Trigger go_back_current_section()
	*/
	jQuery(document).on('click', '.alexandria-mail-builder__steps-controls-button.back', function(e){
		e.stopPropagation();
		e.preventDefault();

		jQuery("html, body").animate({ scrollTop: 0 }, "fast");

		jQuery(this).removeClass('visible');

		alexandria_mail_builder_go_back_current_section();
	});

	/* 
	* Trigger go_back_to_init()
	*/
	jQuery(document).on('click', '#alexandria_mail_builder_back_to_init', function(e) {

		e.preventDefault();

		jQuery('#alexandria_mail_not_found').removeClass('visible');

		jQuery('.interlocutor-item').removeClass('active');
		jQuery('.alexandria-mail-builder__tonos-wrapper').html('');
		jQuery('#alexandria_mail_builder_situations_container').html('');
		jQuery('.alexandria-mail-builder__steps-controls-button.back').removeClass('visible');
		jQuery('.alexandria-mail-builder__steps-controls-button.continue').removeClass('visible');

		jQuery('#alexandria-hidden-form input[type=hidden]').val("");

		let next_section = jQuery('.alexandria-mail-builder__step[data-step="1"]');
		
		setTimeout(function(){
			next_section.addClass('active');
			next_section.fadeIn();
			jQuery('.alexandria-mail-builder__steps-controls-container').removeClass('visible');
		}, 1000);

	});

	jQuery(document).on('click', '.interlocutor-item', function(e) {

		e.preventDefault();

		var interlocutor_item = jQuery(this)
		var button_continue = jQuery('.alexandria-mail-builder__steps-controls-button.continue');
		jQuery('.alexandria-mail-builder__steps-controls-container').addClass('visible');

		var interlocutor_id = interlocutor_item.data('interlocutor_id');

		jQuery('#interlocutor_id').val(interlocutor_id);

		interlocutor_item.toggleClass('active');
		interlocutor_item.siblings().removeClass('active');

		if(interlocutor_item.hasClass('active')) {

			button_continue.addClass('visible');

			jQuery('html, body').animate({
				scrollTop: jQuery(".alexandria-mail-builder-button-container").offset().top
			}, 'fast');

		} else {

			button_continue.removeClass('visible');

		}

	});

	jQuery(document).on('click', '.situation-category-item', function(e) {
		e.stopPropagation();
		e.preventDefault();

		var all_panels = jQuery('.situation-panel');
		var all_arrows = jQuery('.situation-category-item__toggle--icon');
		var current_panel = jQuery(this).parent().find('.situation-panel');
		var arrow_button = jQuery(this).find('.situation-category-item__toggle--icon');

		all_panels.not(current_panel).slideUp();
		all_arrows.not(arrow_button).removeClass('open');

		current_panel.slideToggle();
		arrow_button.toggleClass('open');


		return false;
	});


	jQuery(document).on('click', '.situation-item', function(e) {
		e.preventDefault();

		jQuery('.situation-panel > .situation-item').removeClass('active');

		jQuery(this).toggleClass('active');

		jQuery(this).siblings().removeClass('active');

		var situation_id = jQuery(this).data('situation_id');

		jQuery('#situation_id').val(situation_id);

		var button_continue = jQuery('.alexandria-mail-builder__steps-controls-button.continue');
		var button_container =jQuery('.alexandria-mail-builder__steps-controls-container');

		if(jQuery(this).hasClass('active')) {

			button_container.addClass('visible')
			button_continue.addClass('visible');

			jQuery('html, body').animate({
				scrollTop: button_container.offset().top
			},'fast');

		} else {

			button_continue.removeClass('visible');
		}

	});

	jQuery('.alexandria-mail-builder__tono-item').each(function(){

		var color = jQuery(this).data('color');
		var text_color = jQuery(this).data('text_color');
		var border_color = jQuery(this).data('border-color');

		jQuery(this).css('background-color', color);
		jQuery(this).find('span').css('color', text_color);
		jQuery(this).css('border-color', border_color);

	});

	jQuery(document).on('mouseover', '.alexandria-mail-builder__tono-item', function(e) {
		e.preventDefault();

		if(tono_id == 0) return false;

		if(!jQuery(this).hasClass('active')) {
			jQuery(this).css('opacity', '0.8');
		}

	});

	jQuery(document).on('mouseout', '.alexandria-mail-builder__tono-item', function(e) {
		e.preventDefault();

		if(tono_id == 0) return false;

		if(!jQuery(this).hasClass('active')) { 
			jQuery(this).css('opacity', '1');
		} else {
			jQuery(this).css('opacity', '0.8');
		}

	});

	jQuery(document).on('click', '.alexandria-mail-builder__tono-item', function(e) {
		e.preventDefault();

		var tono_id = jQuery(this).data('tono_id');

		if(tono_id == 0) return false;

		jQuery(this).toggleClass('active');

		if(!jQuery(this).hasClass('active')) {
			jQuery(this).css('opacity', '1');
		} else {
			jQuery(this).css('opacity', '0.8');
			jQuery(this).siblings().css('opacity', '1');
		}

		jQuery('#tono_id').val(tono_id);

		var button_continue = jQuery('.alexandria-mail-builder__steps-controls-button.continue');
		var button_container =jQuery('.alexandria-mail-builder__steps-controls-container');

		if(jQuery(this).hasClass('active')) {

			button_container.addClass('visible');
			button_continue.addClass('visible');

			jQuery('html, body').animate({
				scrollTop: button_container.offset().top
			},'fast');

		} else {
			button_continue.removeClass('visible');
		}
	});

	/*
	*
	* Tabs Section
	*
	*/
	jQuery(document).on('click', '.alexandria-mail-builder__tab', function(e){

		var tabName = jQuery(this).data("tab");

		jQuery(this).toggleClass("active");
		jQuery(this).siblings().removeClass('active');

		jQuery(".tab").each(function(index, item) {
			jQuery(this).css('display', "none");
		});

		jQuery('#'+tabName).css('display', "flex");
	});

	jQuery(document).on('click', '.tab_button', function(e){
		e.preventDefault();

		jQuery(".kickoff-item").each(function( index ) {

			var text = jQuery( this ).find('.hidden-item');

			if(text.hasClass('show')) {
				text.removeClass('show');
			} else {
				text.addClass('show');
			}

		});
	});

	/* 
	* Toggle text information
	*/
	jQuery(document).on('click', '#alexandria_mail_builder_toggle_information', function(e){
		e.preventDefault();

		jQuery(".alexandria-mail-builder__email-item").each(function( index ) {

			var text = jQuery( this ).find('.alexandria-mail-builder__hidden-item');

			if(text.hasClass('show')) {
				text.removeClass('show');
			} else {
				text.addClass('show');
			}

		});
	});

	/* 
	* Bind copy to clipboard button
	*/
	jQuery(document).on('click', '#alexandria_mail_builder_button_copy', function(e){
		e.preventDefault();
		alexandria_mail_builder_copy_text_from_inputs();
	});

	/* 
	* Remove tooltip from #alexandria-mail-builder-button-copy on mouseout
	*/
	jQuery(document).on('mouseout', '#alexandria_mail_builder_button_copy', function(){
		var tooltip = document.getElementById("alexandria_mail_builder_button_copy_tooltip");
		tooltip.style.visibility = 'hidden';
		tooltip.style.opacity = 0;
	});

	/* 
	* Remove tooltip from #alexandria-mail-builder-button-copy on mouseout
	*/
	jQuery(document).on('click', '#alexandria_mail_builder_button_help', function(){
		jQuery('#modal_contacto').show();
	});

	/* 
	* Change item
	*/
	jQuery(document).on('click', '.alexandria-mail-builder__change-button', function(e){

		var section = jQuery(this).data('section');
		var prefix = jQuery(this).data('prefix');

		e.preventDefault();

		let position = jQuery(this).data('position');

		var order = jQuery('#'+section+'_title').find('span').data('order');
		var max = jQuery('#'+section+'_title_hidden span').length - 1;

		if(position == 'right') {
			if(order == max) {
				order = 0;
			} else {
				order++;
			}
		} else {
			if(order == 0) {
				order = max;
			} else {
				order--;
			}
		}

		var new_elem = jQuery('#' + prefix + '-' + order );
		var new_value = new_elem.html();
		
		jQuery('#'+section+'_title').find('span').fadeOut();
		jQuery('#'+section+'_title').html('');
		jQuery('#'+section+'_title').append('<span class="item-text" data-order="'+order+'">'+new_value+'<span>').fadeIn();
	});

	/* 
	* Hide contact modal
	*/
	jQuery(document).on('click', '#cross_close_modal', function(){
		jQuery('#modal_contacto').hide();
	});
}
