<?php

/**
 * The template Tabs Section.
 *
 * @package Alexandria_Mail_Builder
 * @subpackage Alexandria_Mail_Builder/public/templates/partials
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

?>

<div class="alexandria-mail-builder__step" data-step="4">

	<!-- Tabs Section -->
	<div class="alexandria-mail-builder__tabs-step">

		<div class="alexandria-mail-builder__tabs-container">

			<div class="alexandria-mail-builder__tab active" data-tab="email" id="defaultOpen">
				<?php _e('Email', 'alexandria-mail-builder'); ?>
			</div>

			<div class="alexandria-mail-builder__tab" data-tab="examples" id="examples_tab">
				<?php _e('Ejemplos', 'alexandria-mail-builder'); ?>
			</div>

			<div class="alexandria-mail-builder__tab" data-tab="pitch" id="pitch_tab">
				<?php _e('Pitch', 'alexandria-mail-builder'); ?>
			</div>

		</div>

	</div>
	<!-- End Tabs Section -->

	<div class="alexandria-mail-builder__tabs-content">

		<!-- Email Section -->
		<div id="email" class="alexandria-mail-builder__email-section tab">

			<div class="alexandria-mail-builder__show-information">

				<a id="alexandria_mail_builder_toggle_information" href="#" alt="<?php _e('Mostrar Información','alexandria-mail-builder'); ?>">
					<?php _e('Mostrar información',''); ?>
				</a>

			</div>

			<!-- Soliloquio Block -->
			<div id="soliloquio_block" class="alexandria-mail-builder__email-item">

				<div class="alexandria-mail-builder__change-button-section">

					<a href="#" class="alexandria-mail-builder__change-button" data-position="left" data-section="soliloquio" data-prefix="sol">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>

					<a href="#" class="alexandria-mail-builder__change-button" data-position="right" data-section="soliloquio" data-prefix="sol">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>

				</div>

				<div class="alexandria-mail-builder__change-button-section-text">
					<span class="alexandria-mail-builder__hidden-item">
						<?php _e('Soliloquio','alexandria-mail-builder'); ?>
					</span>
				</div>

				<div id="soliloquio_title" class="email-item-title">
				</div>

				<div id="soliloquio_title_hidden" class="hidden_titles_box">
				</div>

			</div>
			<!-- End Soliloquio Block -->

			<!-- Gran Idea Email Block -->
			<div id="gran_ideas_email_block" class="alexandria-mail-builder__email-item">

				<div class="alexandria-mail-builder__change-button-section">

					<a href="#" class="alexandria-mail-builder__change-button" data-position="left" data-section="gran_ideas_email" data-prefix="gran-idea-email">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>

					<a href="#" class="alexandria-mail-builder__change-button" data-position="right" data-section="gran_ideas_email" data-prefix="gran-idea-email">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>
					
				</div>

				<div class="alexandria-mail-builder__change-button-section-text">
					<span class="alexandria-mail-builder__hidden-item">
						<?php _e('Gran Idea','alexandria-mail-builder'); ?>
					</span>
				</div>

				<span id="gran_ideas_email_title"></span>
				<div id="gran_ideas_email_title_hidden" class="hidden_titles_box"></div>

			</div>
			<!-- End Gran Idea Email Block -->

			<!-- Arguments Email Block -->
			<div id="arguments_email_block" class="alexandria-mail-builder__email-item">
				
				<div class="alexandria-mail-builder__change-button-section">

					<a href="#" class="alexandria-mail-builder__change-button" data-position="left" data-section="arguments_email" data-prefix="arg-em">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>

					<a href="#" class="alexandria-mail-builder__change-button" data-position="right" data-section="arguments_email" data-prefix="arg-em">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>
					
				</div>

				<div class="alexandria-mail-builder__change-button-section-text">
					<span class="alexandria-mail-builder__hidden-item">
						<?php _e('Argumentos','alexandria-mail-builder'); ?>
					</span>
				</div>

				<div id="arguments_email_wrapper"></div>

				<div id="arguments_email_title_hidden" class="hidden_titles_box"></div>

			</div>
			<!-- End Arguments Email Block -->

			<!-- Call to action Block -->
			<div id="call_to_action_block" class="alexandria-mail-builder__email-item">
				<div class="alexandria-mail-builder__change-button-section">

					<a href="#" class="alexandria-mail-builder__change-button" data-position="left" data-section="call_to_action" data-prefix="call">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>

					<a href="#" class="alexandria-mail-builder__change-button" data-position="right" data-section="call_to_action" data-prefix="call">
						<div class="img-wrapper">
							<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_PUBLIC_URL.'assets/images/flecha.svg'?>" alt="Change Icon" />
						</div>	
					</a>

				</div>

				<div class="alexandria-mail-builder__change-button-section-text">
					<span class="alexandria-mail-builder__hidden-item">
						<?php _e('Llamada a la acción','alexandria-mail-builder'); ?>
					</span>
				</div>

				<div id="call_to_action_title">
				</div>

				<div id="call_to_action_title_hidden" class="hidden_titles_box">
				</div>

			</div>
			<!-- End Call to action Block -->

		</div>
		<!-- End Email Section -->

		<!-- Examples Section -->
		<div id="examples" class="examples-section tab">
		</div>
		<!-- End Examples Section -->

		<!-- Pitch Section -->
		<div id="pitch" class="pitch-section tab">

			<!-- Gran Idea Pitch Block -->
			<div id="gran_ideas_pitch_block" class="pitch-item">
				<span class="item-title"><?php _e('Gran Idea','alexandria-mail-builder'); ?></span>
				<span id="gran_ideas_pitch_wrapper"></span>
			</div>
			<!-- End Gran Idea Pitch Block -->

			<!-- Argumentos Pitch Block -->
			<div id="arguments_pitch_block" class="pitch-item">
				<span class="item-title"><?php _e('Argumentos','alexandria-mail-builder'); ?></span>
				<span id="arguments_pitch_wrapper" class="item-list"></span>
			</div>
			<!-- End Argumentos Pitch Block -->

			<!-- Caja de Contenidos Block -->
			<div id="content_boxes_block" class="pitch-item">
				<span class="item-title"><?php _e('Caja de Contenidos','alexandria-mail-builder') ?></span>
				<span id="content_boxes_wrapper"></span>
			</div>
			<!-- End Caja de Contenidos Block -->

			<!-- Caja de engagement Block -->
			<div id="engagement_boxes_block" class="pitch-item more-padding">
				<span class="item-title"><?php _e('Caja de engagement','alexandria-mail-builder') ?></span>
				<span id="engagement_boxes_wrapper"></span>
			</div>
			<!-- End Caja de engagement Block -->

			<!-- Ingredients Block -->
			<div id="ingredients_block" class="pitch-item more-padding">
				<span class="item-title"><?php _e('Ingredientes','alexandria-mail-builder') ?></span>
				<span id="ingredients_wrapper"></span>
			</div>
			<!-- End Ingredients Block -->

		</div>
		<!-- End Pitch Section -->

	</div>

	<!-- Button container Section -->
	<div id="alexandria-mail-builder-button-container-tabs" class="alexandria-mail-builder__button-container-tabs">

		<div class="alexandria-mail-builder__button-wrapper">

			<a id="alexandria_mail_builder_button_help" href="#" class="alexandria-mail-builder__button-help">

				<img class="default-icon" src="<?php echo ALEXANDRIA_MAIL_BUILDER_PUBLIC_URL.'assets/images/charla.svg'?>" alt="" />

				<img class="hover-icon" src="<?php echo ALEXANDRIA_MAIL_BUILDER_PUBLIC_URL.'assets/images/charla-white.svg'?>" alt="" />

			</a>

			<a id="alexandria_mail_builder_button_copy" href="#" class="alexandria-mail-builder__button-copy">

				<span class="tooltiptext" id="alexandria_mail_builder_button_copy_tooltip">
					<?php _e('Copiado en el portapapeles', 'alexandria-mail-builder'); ?>	
				</span>

				<?php _e('Copiar texto', 'alexandria-mail-builder') ?>

			</a>

		</div>

	</div>
	<!-- End Button container Section -->
	
</div>