<?php

/**
 * The template Tonos.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Alexandria_Mail_Builder
 * @subpackage Alexandria_Mail_Builder/public/templates
 */

?>

<div id="tono-section" class="alexandria-section">

	<div class="alexandria-section-title-wrapper">

		<div class="alexandria-section-title">
			<h2><?php esc_html_e('Tono', 'alexandria-mail-builder'); ?></h2>
		</div>

		<div class="alexandria-section-subtitle">
			<h3><?php esc_html_e('Selecciona el tono que quieres transmitir en la conversación:'); ?></h3>
		</div>

	</div>

	<div class="alexandria-builder-block">

		<div class="alexandria-builder-tonos-wrapper">

			<?php if( $args['tonos'] ) : 

				foreach ( $args['tonos'] as $tono ) { ?>

					<div class="tono-item" data-color="<?php echo $tono->background_color ?>" data-text_color="<?php echo $tono->text_color ?>" data-border_color="<?php echo $tono->border_color ?>" data-tono_id="<?php echo $tono->ID ?>">
						<span><?php echo $tono->post_title ?></span>
					</div>

				<?php }
				
				else : ?>

					<div class="not-found-item">
						<span>
							<?php esc_html_e('No hay Tonos', 'alexandria-mail-builder'); ?>
						</span>
					</div>

				<?php endif; ?>

			</div>

		</div>

	</div>